Page MenuHomePhabricator

Create XML Schema for Flow dump format(s)
Closed, ResolvedPublic

Event Timeline

greg removed a subscriber: greg.Sep 16 2015, 6:59 PM
DannyH set Security to None.Oct 5 2015, 10:46 PM
DannyH removed a subscriber: DannyH.

This should be in the schema along with everything else we produce, and the version updated.

This should be in the schema along with everything else we produce, and the version updated.

I think Flow stuff should preferably not be in the core schema, since Flow is not part of core and there is a separate script for exporting Flow (Flow/maintenance/dumpBackup.php).

So where are we on this? Can we get it published someplace at any rate?

Change 275843 had a related patch set uploaded (by Matthias Mullie):
Flow dumps XSD schema

https://gerrit.wikimedia.org/r/275843

Patch in gerrit. Writings XSDs is not something I do every day, please review carefully and provide abundant feedback :)

As Brion pointed out in review: do we need the schema?

We don't *really* need it, so do we want the validation badly enough ourselves that we want to maintain this?

In other words: does anyone object to not having the schema?

We don't *really* need it, so do we want the validation badly enough ourselves that we want to maintain this?

How will I know how to write code that processes the dump? Currently, I use the export XML schema to program against the MediaWiki XML dumps. See https://www.mediawiki.org/xml/export-0.10.xsd

If you want to describe these schema in some form other than XML schema, I think that is fine, but I don't think it is a good idea to produce a dump with no description of what it contains and what fields are required/repeatable.

In addition to validation, XSDs can also be used for code generation. We should probably do it.

Alright let's get this merged then.

Where will we put the schema/namespace (xmlns & xsi:schemaLocation)?

Alright let's get this merged then.
Where will we put the schema/namespace (xmlns & xsi:schemaLocation)?

I guess the most straightforward is docroot/mediawiki/xml/Flow in operations/mediawiki-config.

Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptApr 1 2016, 1:51 AM

That would then correspond to mediawiki.org/xml/Flow as you'd expect. I guess docroot/mediawiki/xml/flow might be better.

jayvdb added a comment.Apr 1 2016, 2:08 AM
In T112799#2166863, @Mattflaschen wrote:

That would then correspond to mediawiki.org/xml/Flow as you'd expect. I guess docroot/mediawiki/xml/flow might be better.

I would expect lowercase , not uppercase. It is case sensitive, and I can't recall the last time I've encountered caps in a namespace.

Change 281640 had a related patch set uploaded (by Matthias Mullie):
Add Flow dumps schema

https://gerrit.wikimedia.org/r/281640

Naming seems to be like this: docroot/mediawiki/xml/project-version
That's what I've now changed the patch(es) to. I think they're ready to go.

Change 275843 merged by jenkins-bot:
Flow dumps XSD schema

https://gerrit.wikimedia.org/r/275843

Change 281640 merged by jenkins-bot:
Add Flow dumps schema

https://gerrit.wikimedia.org/r/281640

Catrope closed this task as Resolved.Apr 19 2016, 4:44 PM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptApr 19 2016, 4:44 PM